Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class IfStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.IfStatement

    public class IfStatement

extends Statement

Represents a do { ... } while (condition) loop in Groovy

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getElseBlock()`
`Statement` | `getIfBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfStatement

    public IfStatement(BooleanExpression booleanExpression,
                       Statement ifBlock,
                       Statement elseBlock)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getIfBlock

    public Statement getIfBlock()

### getElseBlock

    public Statement getElseBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD